SpecialWatchlistQueryHandler::addWikibaseConditions() fatal errors and exceptions
Closed, ResolvedPublic

Description

Found in logstash after irc user Raymond_ reported seeing a fatal error on his Commons watchlist page:

2014-03-25T20:06:45.000Z Invalid option hideWikibase
#0 /usr/local/apache/common-local/php-1.23wmf19/includes/FormOptions.php(176): FormOptions->validateName('hideWikibase', true)
#1 /usr/local/apache/common-local/php-1.23wmf19/extensions/Wikidata/extensions/Wikibase/client/includes/hooks/SpecialWatchlistQueryHandler.php(49): FormOptions->getValue('hideWikibase')
#2 /usr/local/apache/common-local/php-1.23wmf19/extensions/Wikidata/extensions/Wikibase/client/WikibaseClient.hooks.php(318): Wikibase\Client\Hooks\SpecialWatchlistQueryHandler->addWikibaseConditions(Object(WebRequest), Array, Object(FormOptions))
#3 [internal function]: Wikibase\ClientHooks::onSpecialWatchlistQuery(Array, Array, Array, Array, Object(FormOptions))

2014-03-25T20:00:07.000Z PHP Fatal error: Call to a member function getValue() on a non-object in /usr/local/apache/common-local/php-1.23wmf19/extensions/Wikidata/extensions/Wikibase/client/includes/hooks/SpecialWatchlistQueryHandler.php on line 49


Version: unspecified
Severity: blocker

bzimport added a subscriber: wikidata-bugs.
bzimport set Reference to bz63087.
bd808 created this task.Via LegacyMar 25 2014, 8:21 PM
Raymond added a comment.Via ConduitMar 25 2014, 8:29 PM

Wikimedia Commons watchlist is unreachable due to this error -> BLOCKER

Reedy added a comment.Via ConduitMar 25 2014, 9:27 PM
  • Bug 63089 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitMar 25 2014, 9:32 PM

Change 120941 had a related patch set uploaded by Hoo man:
Prevent FormOptions from throwing an exception with the enhanced changes list

https://gerrit.wikimedia.org/r/120941

gerritbot added a comment.Via ConduitMar 25 2014, 9:40 PM

Change 120941 merged by jenkins-bot:
Prevent FormOptions from throwing an exception with the enhanced changes list

https://gerrit.wikimedia.org/r/120941

gerritbot added a comment.Via ConduitMar 25 2014, 9:41 PM

Change 120946 had a related patch set uploaded by Hoo man:
Prevent FormOptions from throwing an exception with the enhanced changes list

https://gerrit.wikimedia.org/r/120946

gerritbot added a comment.Via ConduitMar 25 2014, 9:47 PM

Change 120946 merged by jenkins-bot:
Prevent FormOptions from throwing an exception with the enhanced changes list

https://gerrit.wikimedia.org/r/120946

hoo added a comment.Via ConduitMar 25 2014, 10:01 PM

I'll deploy the fix within the next couple of minutes.

bd808 added a comment.Via ConduitMar 27 2014, 6:29 PM

Looks like this isn't quite fixed yet:

2014-03-27T18:27:57.000Z PHP Fatal error: Call to a member function getValue() on a non-object in /usr/local/apache/common-local/php-1.23wmf19/extensions/Wikidata/extensions/Wikibase/client/includes/hooks/SpecialWatchlistQueryHandler.php on line 51

This error message is trending now that *.wikipedia switched to 1.23wmf19

bd808 added a comment.Via ConduitMar 27 2014, 6:37 PM

2014-03-27 09:30:05] Fatal error: Call to a member function getValue() on a non
-object at /usr/local/apache/common-local/php-1.23wmf19/extensions/Wikidata/exte
nsions/Wikibase/client/includes/hooks/SpecialWatchlistQueryHandler.php on line 5
1
Server: mw1056
Method: GET
URL: http://en.wikisource.org/w/index.php?title=Special:Watchlist&watchlistview=
feed&filter=all
Backtrace:
#0 /usr/local/apache/common-local/php-1.23wmf19/extensions/Wikidata/extensions/Wikibase/client/includes/hooks/SpecialWatchlistQueryHandler.php(51): Wikibase\Client\Hooks\SpecialWatchlistQueryHandler::addWikibaseConditions()
#1 /usr/local/apache/common-local/php-1.23wmf19/extensions/Wikidata/extensions/Wikibase/client/WikibaseClient.hooks.php(318): Wikibase\Client\Hooks\SpecialWatchlistQueryHandler->addWikibaseConditions(Object(WebRequest), Array, Array)
#2 [internal function]: Wikibase\ClientHooks::onSpecialWatchlistQuery(Array, Array, Array, Array, Array)
#3 /usr/local/apache/common-local/php-1.23wmf19/includes/Hooks.php(206): call_user_func_array('\Wikibase\Clien...', Array)
#4 /usr/local/apache/common-local/php-1.23wmf19/includes/GlobalFunctions.php(4011): Hooks::run('SpecialWatchlis...', Array, NULL)
#5 /usr/local/apache/common-local/php-1.23wmf19/extensions/MobileFrontend/includes/specials/SpecialMobileWatchlist.php(268): wfRunHooks('SpecialWatchlis...', Array)
#6 /usr/local/apache/common-local/php-1.23wmf19/extensions/MobileFrontend/includes/specials/SpecialMobileWatchlist.php(68): SpecialMobileWatchlist->doFeedQuery()
#7 /usr/local/apache/common-local/php-1.23wmf19/extensions/MobileFrontend/includes/specials/MobileSpecialPage.php(39): SpecialMobileWatchlist->executeWhenAvailable(NULL)
#8 /usr/local/apache/common-local/php-1.23wmf19/extensions/MobileFrontend/includes/specials/MobileSpecialPageFeed.php(13): MobileSpecialPage->execute(NULL)
#9 /usr/local/apache/common-local/php-1.23wmf19/includes/specialpage/SpecialPage.php(376): MobileSpecialPageFeed->execute(NULL)
#10 /usr/local/apache/common-local/php-1.23wmf19/includes/specialpage/SpecialPageFactory.php(490): SpecialPage->run(NULL)
#11 /usr/local/apache/common-local/php-1.23wmf19/includes/Wiki.php(285): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#12 /usr/local/apache/common-local/php-1.23wmf19/includes/Wiki.php(588): MediaWiki->performRequest()
#13 /usr/local/apache/common-local/php-1.23wmf19/includes/Wiki.php(447): MediaWiki->main()
#14 /usr/local/apache/common-local/php-1.23wmf19/index.php(49): MediaWiki->run()
#15 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#16 {main}

gerritbot added a comment.Via ConduitMar 27 2014, 7:10 PM

Change 121432 had a related patch set uploaded by Hoo man:
Support null as last parameter for the SpecialWatchlistQuery hook

https://gerrit.wikimedia.org/r/121432

gerritbot added a comment.Via ConduitMar 27 2014, 7:15 PM

Change 121432 merged by Addshore:
Support null as last parameter for the SpecialWatchlistQuery hook

https://gerrit.wikimedia.org/r/121432

gerritbot added a comment.Via ConduitMar 27 2014, 7:18 PM

Change 121434 had a related patch set uploaded by Hoo man:
Support null as last parameter for the SpecialWatchlistQuery hook

https://gerrit.wikimedia.org/r/121434

gerritbot added a comment.Via ConduitMar 27 2014, 7:18 PM

Change 121434 merged by Addshore:
Support null as last parameter for the SpecialWatchlistQuery hook

https://gerrit.wikimedia.org/r/121434

hoo added a comment.Via ConduitMar 27 2014, 7:50 PM

The issue we have today is another one... already fixed, but pending deploy (will take 20 minutes, I presume)

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.